<?php

namespace Treewec\DirectoryIterators;

/**
 * Test class for FilterFileType.
 * Generated by PHPUnit on 2012-07-04 at 14:01:37.
 * @group directory_iterators
 */
class FilterFileTypeTest extends \PHPUnit_Framework_TestCase {

    /** @var FilterFileType */
    private $filter;

    protected function setUp() {
        $this->filter = new FilterFileType();
    }

    public function testCanBeProcessed() {
        $fileElement = new IteratorElement(1, new \SplFileInfo(TREEWEC_VIEW_DIR . 'navigation.php'));
        $dirElement = new IteratorElement(1, new \SplFileInfo(TREEWEC_VIEW_DIR . 'teams/'));

        // default: filter is set to FOLDER
        parent::assertFalse($this->filter->canBeProcessed($fileElement));
        parent::assertTrue($this->filter->canBeProcessed($dirElement));

        $this->filter->setFileTypeFilter(\Treewec\FileSystem\FileType::FILE);
        parent::assertTrue($this->filter->canBeProcessed($fileElement));
        parent::assertFalse($this->filter->canBeProcessed($dirElement));
    }

}

?>
